Довідник API
POST /v1/webhooks/{id}/rotate-secret
Issue a new signing secret
Issue a new signing secret
The new secret is shown once; the old one stops working immediately. Requires scope write:deals.
- Автентифікація: заголовок
Authorization: Bearer rv_live_...(API-ключі та scopes) - Потрібний scope:
write:deals
Опис операції, параметрів і полів походить зі специфікації OpenAPI (
openapi.json) і подається англійською, як у самому API.Параметри
| Поле | Де | Тип | Обов’язк. | Опис |
|---|---|---|---|---|
id | path | string (uuid) | так | Resource id (UUID). |
Відповіді
200
The new secret.
application/json · Схема: WebhookSecret
| Поле | Тип | Обов’язк. | Опис |
|---|---|---|---|
secret | string | так | New signing secret, shown once. The previous secret stops working immediately. |
400
Invalid request parameters or body (code validation_error).
application/problem+json · Схема: Problem
401
Missing, malformed, unknown, revoked or expired API key (code unauthorized).
application/problem+json · Схема: Problem
403
The API key lacks the scope required by this endpoint (code insufficient_scope).
application/problem+json · Схема: Problem
404
Not found in this tenant.
application/problem+json · Схема: Problem
429
Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.
application/problem+json · Схема: Problem